require '_h2ph_pre.ph';

unless(defined(&_SYS_PROC_H)) {
    eval 'sub _SYS_PROC_H () {1;}' unless defined(&_SYS_PROC_H);
    require 'sys/time.ph';
    require 'sys/thread.ph';
    require 'sys/cred.ph';
    require 'sys/user.ph';
    if(defined(&__cplusplus)) {
    }
    if(defined(&XENIX_MERGE)) {
    }
    eval 'sub PROC_T () {1;}' unless defined(&PROC_T);
    eval 'sub p_pgrp () { ($p_pgidp->{pid_id});}' unless defined(&p_pgrp);
    eval 'sub p_pid () { ($p_pidp->{pid_id});}' unless defined(&p_pid);
    eval 'sub p_slot () { ($p_pidp->{pid_prslot});}' unless defined(&p_slot);
    eval 'sub p_detached () { ($p_pgidp->{pid_pgorphaned});}' unless defined(&p_detached);
    eval 'sub PID_HOLD {
        local($pidp) = @_;
	    eval q( &ASSERT( &MUTEX_HELD( &pidlock)); ++($pidp)-> &pid_ref;);
    }' unless defined(&PID_HOLD);
    eval 'sub PID_RELE {
        local($pidp) = @_;
	    eval q( &ASSERT( &MUTEX_HELD( &pidlock)); ($pidp)-> &pid_ref > 1? --($pidp)-> &pid_ref :  &pid_rele($pidp););
    }' unless defined(&PID_RELE);
    eval 'sub SSLEEP () {1;}' unless defined(&SSLEEP);
    eval 'sub SRUN () {2;}' unless defined(&SRUN);
    eval 'sub SZOMB () {3;}' unless defined(&SZOMB);
    eval 'sub SSTOP () {4;}' unless defined(&SSTOP);
    eval 'sub SIDL () {5;}' unless defined(&SIDL);
    eval 'sub SONPROC () {6;}' unless defined(&SONPROC);
    eval 'sub SSYS () {0x00000001;}' unless defined(&SSYS);
    eval 'sub STRC () {0x00000002;}' unless defined(&STRC);
    eval 'sub SNWAKE () {0x00000004;}' unless defined(&SNWAKE);
    eval 'sub SLOAD () {0x00000008;}' unless defined(&SLOAD);
    eval 'sub SLOCK () {0x00000010;}' unless defined(&SLOCK);
    eval 'sub SPREXEC () {0x00000020;}' unless defined(&SPREXEC);
    eval 'sub SPROCTR () {0x00000040;}' unless defined(&SPROCTR);
    eval 'sub SPRFORK () {0x00000080;}' unless defined(&SPRFORK);
    eval 'sub SKILLED () {0x00000100;}' unless defined(&SKILLED);
    eval 'sub SULOAD () {0x00000200;}' unless defined(&SULOAD);
    eval 'sub SRUNLCL () {0x00000400;}' unless defined(&SRUNLCL);
    eval 'sub SKILLCL () {0x00001000;}' unless defined(&SKILLCL);
    eval 'sub SOWEUPC () {0x00002000;}' unless defined(&SOWEUPC);
    eval 'sub SEXECED () {0x00004000;}' unless defined(&SEXECED);
    eval 'sub SPASYNC () {0x00008000;}' unless defined(&SPASYNC);
    eval 'sub SJCTL () {0x00010000;}' unless defined(&SJCTL);
    eval 'sub SNOWAIT () {0x00020000;}' unless defined(&SNOWAIT);
    eval 'sub SVFORK () {0x00040000;}' unless defined(&SVFORK);
    eval 'sub SVFDONE () {0x00080000;}' unless defined(&SVFDONE);
    eval 'sub EXITLWPS () {0x00100000;}' unless defined(&EXITLWPS);
    eval 'sub HOLDLWPS () {0x00200000;}' unless defined(&HOLDLWPS);
    eval 'sub SWAITSIG () {0x00400000;}' unless defined(&SWAITSIG);
    eval 'sub HOLDLWP2 () {0x00800000;}' unless defined(&HOLDLWP2);
    eval 'sub COREDUMP () {0x01000000;}' unless defined(&COREDUMP);
    eval 'sub SPRLOCK () {0x08000000;}' unless defined(&SPRLOCK);
    eval 'sub P_BRKLOCK () {0x01;}' unless defined(&P_BRKLOCK);
    eval 'sub P_BRKWANTED () {0x02;}' unless defined(&P_BRKWANTED);
    eval 'sub NP_FAILOK () {0x01;}' unless defined(&NP_FAILOK);
    eval 'sub NP_NOLAST () {0x02;}' unless defined(&NP_NOLAST);
    eval 'sub NP_SYSPROC () {0x04;}' unless defined(&NP_SYSPROC);
    eval 'sub NP_INIT () {0x08;}' unless defined(&NP_INIT);
    eval 'sub NP_VFORK () {0x10;}' unless defined(&NP_VFORK);
    eval 'sub NP_SHARE () {0x20;}' unless defined(&NP_SHARE);
    eval 'sub NP_PARTITION () {0x40;}' unless defined(&NP_PARTITION);
    eval 'sub PTOU {
        local($p) = @_;
	    eval q((($p)-> &p_user));
    }' unless defined(&PTOU);
    eval 'sub tracing {
        local($p, $sig) = @_;
	    eval q(( &sigismember(($p)-> &p_sigmask, $sig)));
    }' unless defined(&tracing);
    eval 'sub ISSIG {
        local($t, $why) = @_;
	    eval q( &ISSIG_FAST($t,  &ttolwp($t),  &ttoproc($t), $why));
    }' unless defined(&ISSIG);
    eval 'sub ISSIG_FAST {
        local($t, $lwp, $p, $why) = @_;
	    eval q(( &ISSIG_PENDING($t, $lwp, $p)  &&  &issig($why)));
    }' unless defined(&ISSIG_FAST);
    eval 'sub ISSIG_PENDING {
        local($t, $lwp, $p) = @_;
	    eval q((($lwp)-> &lwp_cursig | ($p)-> ($p_sig->{__sigbits[0]}) | ($p)-> ($p_sig->{__sigbits[1]}) | ($t)-> ($t_sig->{__sigbits[0]}) | ($t)-> ($t_sig->{__sigbits[1]}) | ($p)-> &p_stopsig | (($t)-> &t_proc_flag & ( &TP_PRSTOP| &TP_CHKPT)) | (($p)-> &p_flag & ( &EXITLWPS| &SKILLED| &HOLDLWP2))));
    }' unless defined(&ISSIG_PENDING);
    eval 'sub ISSTOP {
        local($sig) = @_;
	    eval q(( ($u->{u_signal[sig}-1]) ==  &SIG_DFL  &&  &sigismember( &stopdefault, $sig)));
    }' unless defined(&ISSTOP);
    eval 'sub ISHOLD {
        local($p) = @_;
	    eval q(((($p)-> &p_flag &  &HOLDLWPS) || ( ($curthread->{t_proc_flag}) &  &TP_HOLDLWP)));
    }' unless defined(&ISHOLD);
    eval 'sub FORREAL () {0;}' unless defined(&FORREAL);
    eval 'sub JUSTLOOKING () {1;}' unless defined(&JUSTLOOKING);
    if(defined(&_KERNEL)) {
	if(defined(&__STDC__)) {
	} else {
	}
	if(defined(&__STDC__)) {
	} else {
	}
	if(defined(&__STDC__)) {
	} else {
	}
	if(defined( &__STDC__)) {
	} else {
	}
    }
    if(defined(&__cplusplus)) {
    }
}
1;
